Get deployment frequency chart data
For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get deployment frequency chart data. Engineering insights displays deployment frequency data in the deployment frequency metric view.
Expanding the chart response
LaunchDarkly supports expanding the chart response to include additional fields.
To expand the response, append the expand query parameter and include the following:
metricsincludes details on the metrics related to deployment frequency
For example, use ?expand=metrics to include the metrics field in the response. By default, this field is not included in the response.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"metadata": {
"summary": {},
"xAxis": "timestamp",
"yAxis": "count",
"name": "deploymentFrequency",
"metrics": {}
},
"series": [
{
"metadata": {
"name": "<string>",
"count": 123,
"bounds": [
{
"name": "equal",
"value": 100
}
]
},
"data": [
{
"x": 1617225600000,
"y": 100,
"values": {}
}
]
}
]
}{
"code": "invalid_request",
"message": "validation failed",
"errors": [
{
"attribute": "projectKey",
"reason": "must be present"
}
]
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Authorizations
Query Parameters
The project key
The environment key
Comma separated list of application keys
Unix timestamp in milliseconds. Default value is 7 days ago.
Unix timestamp in milliseconds. Default value is now.
Specify type of bucket. Options: rolling, hour, day. Default: rolling.
Duration of intervals for x-axis in milliseconds. Default value is one day (86400000 milliseconds).
Options: application, kind
Options: metrics
curl --request GET \
--url https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"metadata": {
"summary": {},
"xAxis": "timestamp",
"yAxis": "count",
"name": "deploymentFrequency",
"metrics": {}
},
"series": [
{
"metadata": {
"name": "<string>",
"count": 123,
"bounds": [
{
"name": "equal",
"value": 100
}
]
},
"data": [
{
"x": 1617225600000,
"y": 100,
"values": {}
}
]
}
]
}{
"code": "invalid_request",
"message": "validation failed",
"errors": [
{
"attribute": "projectKey",
"reason": "must be present"
}
]
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}